Description

| really think Fluid needs a "no function" button

http://w3schools.com/tags/tag button.asp

This button could be used a long with ex. a Javascript Framework, to customize a function when the button is clicked.

Ex:

HTML:

<form>

<input type="button" name="showInfo" ud="showlInfo" />
</form>

JS (ExtJS):
Ext.get('showlInfo’).on('click’, function() {
Ext.get('infoBox').fadeln();

D;

If accepted | will take the time to write the viewhelper

History

#1 - 2010-04-28 08:39 - Soren Malling

Sgren Malling wrote:

http://w3schools.com/tags/tag button.asp

Wrong link, would have pointed to

http://w3schools.com/tags/tag input.asp

showing the different types for ex. input field that might be interesting to have viewhelpers for?!

#2 - 2010-06-18 10:26 - Bastian Waidelich
- Status changed from New to Needs Feedback

We were discussing about this one and asked ourselfs, why would you need a view helper for this?
#3 - 2010-06-18 10:36 - Soren Malling

Bastian Waidelich wrote:

We were discussing about this one and asked ourselfs, why would you need a view helper for this?

Mentioned in the description:

In order to apply JS functionality to a button inside a form, without submitting the form or add nasty "return false" to a submit button

#4 - 2010-07-06 14:15 - Christian Miiller

| think you just need to write plain html in your template to get what you want:

<input type="button" name="showInfo" id="showInfo" />

Should be no problem.

#5 - 2010-07-12 12:12 - Bastian Waidelich

- Tracker changed from Feature to Suggestion

- Project changed from TYPOG3.Fluid to Fluid - ViewHelper - Incubator
- Category deleted (ViewHelpers)

#6 - 2010-07-12 13:13 - Bastian Waidelich

- Subject changed from A "no function" button viewhelper to form.noFunctionButton
